
#These options are DEACTIVATED by default.
%bcond_with wayland
%bcond_with emulator

%define standard_mix off

Name:       feedbackd
Summary:    Feedbackd
Version:    1.0.0
Release:    1
Group:      System/Management
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
Source1:    feedbackd.manifest

BuildRequires:  cmake
BuildRequires:  pkgconfig(ecore)
BuildRequires:  pkgconfig(vconf)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(edbus)
BuildRequires:  pkgconfig(capi-base-common)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(capi-system-info)
BuildRequires:  pkgconfig(capi-system-peripheral-io)

Requires(post): /usr/bin/vconftool

Requires:	%{name}-compat = %{version}-%{release}
Recommends:	%{name}-profile_mobile = %{version}-%{release}

%description
feedback daemon

%package feedbackd
Summary:    feedback daemon
Group:      main

%description feedbackd
feedback daemon.

# if profile = mobile or common or undefined
%package profile_mobile
Summary:	Deviced binaries targeting mobile profile
Provides:	%{name}-compat = %{version}-%{release}
Conflicts:	%{name}-profile_wearable
%description profile_mobile
Deviced binaries targeting mobile profile. Required by main deviced package
# if profile = wearable or common or undefined
%package profile_wearable
Summary:	Deviced binaries targeting wearable profile
Provides:	%{name}-compat = %{version}-%{release}
Conflicts:	%{name}-profile_mobile
%description profile_wearable
Deviced binaries targeting wearable profile. Required by main deviced package

%prep
%setup -q

%if 0%{?tizen_build_devel_mode} == 1
%define engineer_mode on
%else
%define engineer_mode off
%endif

# Build per profile
# if profile = mobile or common or undefined
mkdir -p build_mobile
pushd build_mobile
%cmake .. \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DPROFILE=mobile \
	-DSTANDARD_MIX=%{standard_mix} \
	#eol
popd

# if profile = wearable or common or undefined
mkdir -p build_wearable
pushd build_wearable
%cmake .. \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DPROFILE=wearable \
	-DSTANDARD_MIX=%{standard_mix} \
	#eol
popd

%build
cp %{SOURCE1} .

# Build per profile
# if profile = mobile or common or undefined
pushd build_mobile
make %{?jobs:-j%jobs}
popd

# if profile = wearable or common or undefined
pushd build_wearable
make %{?jobs:-j%jobs}
popd

%install
rm -rf %{buildroot}
# Build per profile
# if profile = mobile or common or undefined
pushd build_mobile
%make_install
mv %{buildroot}%{_bindir}/feedbackd %{buildroot}%{_bindir}/feedbackd.mobile
popd

# if profile = wearable or common or undefined
pushd build_wearable
%make_install
mv %{buildroot}%{_bindir}/feedbackd %{buildroot}%{_bindir}/feedbackd.wearable
popd

%install_service multi-user.target.wants feedbackd.service

%post profile_mobile
mv %{_bindir}/feedbackd.mobile %{_bindir}/feedbackd
mv %{_sysconfdir}/feedbackd/haptic-mobile.conf %{_sysconfdir}/feedbackd/haptic.conf 

systemctl daemon-reload
if [ "$1" == "1" ]; then
    systemctl restart feedbackd.service
fi

%preun profile_mobile
mv %{_bindir}/feedbackd %{_bindir}/feedbackd.mobile

if [ "$1" == "0" ]; then
    systemctl stop feedbackd.service
fi

%post profile_wearable
mv %{_bindir}/feedbackd.wearable %{_bindir}/feedbackd
mv %{_sysconfdir}/feedbackd/haptic-wearable.conf %{_sysconfdir}/feedbackd/haptic.conf 

systemctl daemon-reload
if [ "$1" == "1" ]; then
    systemctl restart feedbackd.service
fi

%preun profile_wearable
mv %{_bindir}/feedbackd %{_bindir}/feedbackd.wearable

if [ "$1" == "0" ]; then
    systemctl stop feedbackd.service
fi

%files -n feedbackd 
%manifest %{name}.manifest
%license LICENSE
%config %{_sysconfdir}/dbus-1/system.d/feedbackd.conf
%{_unitdir}/feedbackd.service
%{_unitdir}/multi-user.target.wants/feedbackd.service

%files profile_mobile
%license LICENSE
%manifest %{name}.manifest
%config %{_sysconfdir}/feedbackd/haptic-mobile.conf
%{_bindir}/feedbackd.mobile

%files profile_wearable
%license LICENSE
%manifest %{name}.manifest
%config %{_sysconfdir}/feedbackd/haptic-wearable.conf
%{_bindir}/feedbackd.wearable
